Usages - List

Gets a list of usage metrics for a workspace.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.OperationalInsights/workspaces/{workspaceName}/usages?api-version=2025-07-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

workspaceName
path True

string

minLength: 4
maxLength: 63
pattern: ^[A-Za-z0-9][A-Za-z0-9-]+[A-Za-z0-9]$

The name of the workspace.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

WorkspaceListUsagesResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

UsagesList

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.OperationalInsights/workspaces/TestLinkWS/usages?api-version=2025-07-01

Sample response

{
  "value": [
    {
      "name": {
        "localizedValue": "Data Analyzed",
        "value": "DataAnalyzed"
      },
      "currentValue": 0,
      "limit": 524288000,
      "nextResetTime": "2017-10-03T00:00:00Z",
      "quotaPeriod": "P1D",
      "unit": "Bytes"
    }
  ]
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

MetricName

The name of a metric.

UsageMetric

A metric describing the usage of a resource.

WorkspaceListUsagesResult

The list workspace usages operation response.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

MetricName

The name of a metric.

Name Type Description
localizedValue

string

The localized name of the metric.

value

string

The system name of the metric.

UsageMetric

A metric describing the usage of a resource.

Name Type Description
currentValue

number (double)

The current value of the metric.

limit

number (double)

The quota limit for the metric.

name

MetricName

The name of the metric.

nextResetTime

string (date-time)

The time that the metric's value will reset.

quotaPeriod

string

The quota period that determines the length of time between value resets.

unit

string

The units used for the metric.

WorkspaceListUsagesResult

The list workspace usages operation response.

Name Type Description
nextLink

string

The URL to get the next set of results.

value

UsageMetric[]

Gets or sets a list of usage metrics for a workspace.